<template>
  <div>
    <div class="subtitle-2"><b>Modelo</b><span class="tRojo">*</span></div>
    <v-autocomplete
      v-model="data.value"
      :items="modelos"
      item-text="descripcion"
      item-value="idModelo"
      label="Selecciona el modelo"
      single-line
      return-object
      :error="data.validator.$error"
    >
      <template v-if="data.validator.$error" v-slot:append-outer>
        <v-popover placement="bottom-end" offset="16">
          <v-icon class color="#fd5151">mdi-alert-circle</v-icon>
          <template slot="popover">
            <div @click="data.validator.$reset()" v-close-popover>
              <span v-if="!data.validator.required"
                >¡No te olvides de éste campo!</span
              >
            </div>
          </template>
        </v-popover>
      </template>
    </v-autocomplete>
  </div>
</template>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
export default {
  name: "Component-Modelo",
  props: ["value"],
  computed: {
    data: {
      get() {
        return this.value;
      },
      set(value) {
        this.$emit("input", value);
      },
    },
  },
  data() {
    return {
      modelos: [],
    };
  },
  methods: {
    getModelos() {
      var self = this;
      const options = {
        method: "get",
        headers: {
          prefer: "code=200",
        },
      };
      axios("/modelo-negocio/catalogos/modelos/v1/", options)
        .then((response) => {
          let data = response.data;
          if (data) {
            self.modelos = data.resultado.modelos;
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
  },
  created() {
    this.getModelos();
  },
};
</script>
